The Alternative Csound Reference Manual
Previous |  | Next

# cosinv

cosinv -- Performs a arccosine function.

## Description

Returns the arccosine of x (x in radians).

## Syntax

cosinv(x) (no rate restriction)

## Examples

Here is an example of the cosinv opcode. It uses the files cosinv.orc and cosinv.sco.

Example 1. Example of the cosinv opcode.

    /* cosinv.orc */
    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      irad = 0.5
      i1 = cosinv(irad)

      print i1
    endin
    /* cosinv.orc */

    /* cosinv.sco */
    ; Play Instrument #1 for one second.
    i 1 0 1
    e
    /* cosinv.sco */

Its output should include lines like this:

    instr 1:  i1 = 1.047

## See Also

cos, cosh, sin, sinh, sininv, tan, tanh, taninv

## Credits

Example written by Kevin Conder.

Previous | Home | Next
cosh | Up | cps2pch